#ifndef __CONSTS_H__
#define __CONSTS_H__

#define STATUS_LED 2

#define DEVICE_NAME "WhiteTiger"

#define EEPROM_SIZE 1024

#define HC_SR04_TRIG 23
#define HC_SR04_ECHO 22
// TB6612 #1 控制 A B 电机
// A 电机 左前轮
#define MOTOR_A_PWMA 21 // 电机 A PWM
#define MOTOR_A_AIN1 18 // 电机 A 方向控制1
#define MOTOR_A_AIN2 19 // 电机 A 方向控制2

// B 电机 左后轮
#define MOTOR_B_PWMB 5  // 电机 B PWM
#define MOTOR_B_BIN1 16 // 电机 B 方向控制1
#define MOTOR_B_BIN2 17 // 电机 B 方向控制2

// TB6612 #2 控制 C D 电机
// C 电机 右后轮
#define MOTOR_C_PWMA 26 // 电机 C PWM
#define MOTOR_C_AIN1 14 // 电机 C 方向控制1
#define MOTOR_C_AIN2 27 // 电机 C 方向控制2

// D 电机 右前轮
#define MOTOR_D_PWMB 32 // 电机 D PWM
#define MOTOR_D_BIN1 25 // 电机 D 方向控制1
#define MOTOR_D_BIN2 33 // 电机 D 方向控制2

// 运动控制参数
#define MAX_SPEED 255      // 最大速度
#define BASE_SPEED 200     // 基础速度
#define MIN_SPEED 50       // 最小速度
#define TURN_RATIO 0.6     // 转向时的速度比例
#define SPEED_INCREMENT 10 // 速度增量

// Nordic UART Service UUID
#define SERVICE_UUID "6E400001-B5A3-F393-E0A9-E50E24DCCA9E"
#define CHARACTERISTIC_UUID_RX "6E400002-B5A3-F393-E0A9-E50E24DCCA9E"
#define CHARACTERISTIC_UUID_TX "6E400003-B5A3-F393-E0A9-E50E24DCCA9E"

#endif // __CONSTS_H__
